<!-- templates/index.html -->
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>My To-Do </title>
    <style>
        body {
            text-align: center;
        }
        

        form {
            margin-bottom: 15px;
        }

        ul {
            list-style-type: none;
            padding: 0;
            margin: 0;
            display: flex;
            flex-direction: column;
            align-items: center;
            text-align: left;
            margin-top: 20px;
        }

        li {
            margin-bottom: 20px; 
        }

        form {
            display: inline;
        }
    </style>
</head>
<body>
    <center>
        <h1>My To-Do List</h1>
        <form action="/add" method="post">
            <label for="task">New Task:</label>
            <input type="text" id="task" name="task" required>
            <button type="submit">Add Task</button>
        </form>
        <ul>
            {% for todo in todos %}
                <li>
                    {{ todo[1] }} - {% if todo[2] %}Done{% else %}Not Done{% endif %}
                    <form action="/complete/{{ todo[0] }}" method="get" style="display: inline;">
                        <button type="submit">Mark as Done</button>
                    </form>
                    <form action="/delete/{{ todo[0] }}" method="get" style="display: inline;">
                        <button type="submit">Delete</button>
                    </form>
                </li>
            {% endfor %}
        </ul>
    </center>
</body>
</html>
